Subject: Re: bug#10997: pkglibexecdir is unconditionally created when make install

From: Stefano Lattarini <[email-masked]>
Date: Sun, 18 Mar 2012 20:20:19 +0100

tags 10997 + patch
close 10997
thanks

On 03/17/2012 08:48 AM, Stefano Lattarini wrote:
> On 03/12/2012 02:43 PM, Stefano Lattarini wrote:
>> On 03/12/2012 12:21 PM, Peter Breitenlohner wrote:
>>>
>>> To summarize: 'nodist_bin_SCRIPTS =' is an extremely convenient way to
>>> ensure that $(bindir) -- or rather $(DESTDIR)$(bindir) -- exists.
>>>
>> I agree, and in fact I regard this as a feature (which automake has been known
>> to use in its own build system for some time).
>>
> I've now changed my mind, and started to consider this behaviour as a bug; see
> automake bug#11030:
> 
>   <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11030>
> 
> A fix to that will obviously fix the present bug as well.
> 
This bug has now been fixed by the same patch fixing bug#11030.

Regards,
  Stefano